Update Custom Benchmark Rate

Add a new rate to a custom benchmark. The new rate will automatically cascade to all accounts that reference this benchmark in their rate tiers on the specified effective date. This creates a new rate entry while preserving historical rate data.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

custom_benchmark_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
ratedouble or stringRequired
New rate for the custom benchmark. Will create a new rate entry.
effective_atstring or nullOptionalformat: "date-time"
When the new rate becomes effective. Defaults to now if not provided.

Response

Successful Response

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error